import { StackedAreaSeries } from "./StackedAreaSeries";
import { IStacked100Series } from "./IStacked100Series";
import { Type } from "igniteui-angular-core";
import { SeriesView } from "./SeriesView";
import { StackedAreaSeriesView } from "./StackedAreaSeriesView";
/**
 * @hidden
 */
export declare class Stacked100AreaSeries extends StackedAreaSeries implements IStacked100Series {
    static $t: Type;
    protected get_aa2(): boolean;
    constructor();
    ac(): void;
    protected cs(): SeriesView;
    ab1: Stacked100AreaSeriesView;
    qz(a: SeriesView): void;
    protected abj(): void;
    aa8(a: number, b: number): number;
    get useHighMarkerFidelity(): boolean;
}
/**
 * @hidden
 */
export declare class Stacked100AreaSeriesView extends StackedAreaSeriesView {
    static $t: Type;
    constructor(a: Stacked100AreaSeries);
    au(): void;
}
